using System;
using System.IO;

namespace Sample
{
    class Sample
    {
        static void Main(string[] args)
        {
            // Convert PDF to separate Word documents.
            // Each PDF page will be converted to a single Word document.

            // Path to PDF file.
            string pdfPath = Path.GetFullPath(@"..\..\..\..\..\simple text.pdf");

            // Directory to store Word documents.
            string wordDir = Path.GetDirectoryName(pdfPath);
            
            SautinSoft.PdfFocus f = new SautinSoft.PdfFocus();


            f.OpenPdf(pdfPath);

            // Convert each PDF page to separate Word document.
            // simple text.doc, simple text.doc ... simple text.doc.
            for (int page = 1; page <= f.PageCount; page++)
            {
                string wordDocString = f.ToWord(page, page);

                // Save wordString to file
                string wordDocPath = Path.Combine(wordDir, String.Format("Page{0}.doc", page));
                File.WriteAllText(wordDocPath, wordDocString);

                // Let's show first and last Word pages.
                if (page == 1 || page==f.PageCount)
                    System.Diagnostics.Process.Start(wordDocPath);
            }

        }
    }
}
