Imports System.IO
Imports System.Drawing.Imaging
Imports System.Collections.Generic
Imports SautinSoft

Module Sample

    Sub Main()
        ' Convert PDF to separate Word documents.
        ' Each PDF page will be converted to a single Word document.

        ' Path to PDF file.
        Dim pdfPath As String = Path.GetFullPath("..\..\..\..\simple text.pdf")

        ' Directory to store Word documents.
        Dim wordDir As String = Path.GetDirectoryName(pdfPath)

        Dim f As New SautinSoft.PdfFocus()


        f.OpenPdf(pdfPath)

        ' Convert each PDF page to separate Word document.
        ' simple text.doc, simple text.doc ... simple text.doc.
        For page As Integer = 1 To f.PageCount
            Dim wordDocString As String = f.ToWord(page, page)

            ' Save wordString to file
            Dim wordDocPath As String = Path.Combine(wordDir, String.Format("Page{0}.doc", page))
            File.WriteAllText(wordDocPath, wordDocString)

            ' Let's show first and last Word pages.
            If page = 1 OrElse page = f.PageCount Then
                System.Diagnostics.Process.Start(wordDocPath)
            End If
        Next page
    End Sub
End Module
